V1.0
get
/ec-designer-svc/rest/v1.0/studies/{studyId}/{mode}/forms/{formId}/visits
Retrieves visits where the specified form is present for a given study mode (test, training, active).
Request
Path Parameters
-
formId(required): string(uuid)
Form ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11 -
mode(required): string
Study mode to filter study form visits.Example:
test -
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object StudyVisitDto v1.0
Title:
StudyVisitDto v1.0Reduced Visit and branch properties
Nested Schema : StudyVisitDto v1.0
Type:
objectTitle:
StudyVisitDto v1.0Reduced Visit and branch properties
Show Source
-
branchIsCycle: boolean
The branch is cyclic or acyclicExample:
true -
branchShortName: string
Visit Branch shortNameExample:
Br1 -
branchTitle: string
Branch titleExample:
Branch1 -
cycleCount: number
number of times a branch can cycleExample:
10 -
eventType: string
Visit event typeExample:
ScreeningVisit -
fullName: string
Concatenation of Visit Title and Branch title with hypenExample:
B1C01 - V01 -
id: string
(uuid)
Branch GUID
-
shortName: string
Visit shortnameExample:
W2 -
startCycle: integer
(int32)
Start Cycle Number
-
title: string
Visit titleExample:
Week2
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object